# Delete Engagements

> Source: https://truto.one/docs/api-reference/unified-crm-api/engagements/delete/

`DELETE /unified/crm/engagements/{id}`

Resource: **Engagements** · API: **Unified CRM API**

## Supported integrations

Affinity, Capsule, Close, Copper, Freshsales, Highlevel, Keap, Monday CRM, OnePageCRM, Pipedrive, Pipeliner, Planhat, Zendesk Sell, Zoho CRM

## Path parameters

- **`id`** _(string, required)_
  The ID of the resource.

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.
- **`engagement_type`** _(string)_
  The engagement's type
  Allowed: `call`, `chat`, `email`, `meeting`, `note`
- **`sort_by`** _(enum)_
  Allowed: `created_at`, `updated_at`
- **`content`** _(string)_
  Set this value only when engagement type is email.
- **`subject`** _(string)_
  Set this value only when engagement type is email.
- **`direction`** _(string)_
  Set this value only when engagement type is email.
- **`created_at`** _(string)_
  The date and time of the engagement's creation
- **`updated_at`** _(string)_
  The date and time of the engagement's last update
- **`status`** _(string)_
  The engagement's status
- **`account`** _(object)_
  The engagement's account
- **`contact`** _(array<object>)_
  The engagement's contacts

## Response body

- **`id`** _(string, required)_
  The engagement's unique identifier
- **`owner`** _(object)_
  The engagement's owner
  - **`id`** _(string)_
    The owner's unique identifier
- **`content`** _(string)_
  The engagement's content
- **`subject`** _(string)_
  The engagement's subject
- **`direction`** _(string)_
  The engagement's direction
- **`engagement_type`** _(string)_
  The engagement's type - call, email, meeting or raw response
- **`internal_notes`** _(string)_
  The engagement's internal notes
- **`notes`** _(array<object>)_
  The engagement's notes
  - **`id`** _(string)_
    The note's unique identifier
- **`status`** _(string)_
  The engagement's status
- **`start_time`** _(string)_
  The engagement's start time
- **`end_time`** _(string)_
  The engagement's end time
- **`duration`** _(string)_
  The engagement's duration
- **`project`** _(object)_
  The engagement's project
  - **`id`** _(string)_
    The project's unique identifier
- **`account`** _(object)_
  The engagement's account
  - **`id`** _(string)_
    The account's unique identifier
- **`contact`** _(array<object>)_
  The engagement's contacts
  - **`id`** _(string)_
    The contact's unique identifier
- **`opportunity`** _(array<object>)_
  The engagement's opportunity
  - **`id`** _(string)_
    The opportunity's unique identifier
- **`lead`** _(array<object>)_
  The engagement's lead
  - **`id`** _(string)_
    The lead's unique identifier
- **`phone_numbers`** _(array<object>)_
  - **`id`** _(string)_
    The unique identifier of the phone number
  - **`number`** _(string)_
    The phone number
  - **`extension`** _(string)_
    The extension of the phone number
  - **`type`** _(string)_
    The phone number type
- **`custom_fields`** _(object)_
  All the custom fields present on the engagement
- **`created_at`** _(string)_
  The date and time of the engagement's creation
- **`updated_at`** _(string)_
  The date and time of the engagement's last update
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Code examples

### curl

```bash
curl -X DELETE 'https://api.truto.one/unified/crm/engagements/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/crm/engagements/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/crm/engagements/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.delete(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.delete(
  'crm',
  'engagements',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.delete(
        "crm",
        "engagements",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())
```
